summaryrefslogtreecommitdiffstats
path: root/source/ap/pamixer/pamixer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/pamixer/pamixer.SlackBuild')
-rwxr-xr-xsource/ap/pamixer/pamixer.SlackBuild17
1 files changed, 13 insertions, 4 deletions
diff --git a/source/ap/pamixer/pamixer.SlackBuild b/source/ap/pamixer/pamixer.SlackBuild
index 2f55d28d4..4fc58bba7 100755
--- a/source/ap/pamixer/pamixer.SlackBuild
+++ b/source/ap/pamixer/pamixer.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pamixer
@@ -22,9 +22,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=pamixer
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-6}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -68,7 +77,7 @@ find . \
-exec chmod 644 {} \;
sed -i "s,CXXFLAGS ?=,CXXFLAGS ?= \$(OPTFLAGS),g" Makefile
-make OPTFLAGS="$SLKCFLAGS"
+make OPTFLAGS="$SLKCFLAGS" || exit 1
mkdir -p $PKG/usr/bin
cp -a pamixer $PKG/usr/bin